Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\SPI\Persistence\Content\Language\Handler Interface Reference

Language Handler interface. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\Content\Language\Handler:

## Public Member Functions
| create (CreateStruct $struct)
| Create a new language. More...
| update (Language $struct)
| Update language. More...
| load ($id)
| Get language by id. More...
| loadList (array $ids)
| Get list of languages by id. More...
| loadByLanguageCode ($languageCode)
| Get language by Language Code (eg: eng-GB). More...
| loadListByLanguageCodes (array $languageCodes)
| Get list of languages by Language Code (eg: eng-GB). More...
| loadAll ()
| Get all languages. More...
| delete ($id)
| Delete a language. More...

## Detailed Description

Language Handler interface.

Definition at line 14 of file SPI/Persistence/Content/Language/Handler.php.

## Member Function Documentation

## ◆ create()

eZ\Publish\SPI\Persistence\Content\Language\Handler::create | ( | CreateStruct | $struct | ) |

Create a new language.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Language\CreateStruct | $struct |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, and eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler.

## ◆ delete()

eZ\Publish\SPI\Persistence\Content\Language\Handler::delete | ( |  | $id | ) |

Delete a language.

Exceptions

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler, and eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler.

## ◆ load()

eZ\Publish\SPI\Persistence\Content\Language\Handler::load | ( |  | $id | ) |

Get language by id.

Parameters

  mixed | $id |

Exceptions

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler, and eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler.

## ◆ loadAll()

eZ\Publish\SPI\Persistence\Content\Language\Handler::loadAll | ( |  | ) |

Get all languages.

Return list of languages where key of hash is language code.

Returns
  \eZ\Publish\SPI\Persistence\Content\Language[]

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler, and eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler.

## ◆ loadByLanguageCode()

eZ\Publish\SPI\Persistence\Content\Language\Handler::loadByLanguageCode | ( |  | $languageCode | ) |

Get language by Language Code (eg: eng-GB).

Parameters

  string | $languageCode |

Exceptions

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler, and eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler.

## ◆ loadList()

eZ\Publish\SPI\Persistence\Content\Language\Handler::loadList | ( | array | $ids | ) |

Get list of languages by id.

Missing items (NotFound) will be missing from the returned iterable and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  array | $ids |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language[]|iterable

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler, and eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler.

## ◆ loadListByLanguageCodes()

eZ\Publish\SPI\Persistence\Content\Language\Handler::loadListByLanguageCodes | ( | array | $languageCodes | ) |

Get list of languages by Language Code (eg: eng-GB).

Missing items (NotFound) will be missing from the returned iterable and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  string[] | $languageCodes |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language[]|iterable

Implemented in eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler, and eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler.

## ◆ update()

eZ\Publish\SPI\Persistence\Content\Language\Handler::update | ( | Language | $struct | ) |

Update language.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Language | $struct |

Implemented in eZ\Publish\Core\Persistence\Cache\ContentLanguageHandler, eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler, and eZ\Publish\Core\Persistence\Legacy\Content\Language\CachingHandler.

The documentation for this interface was generated from the following file:

- SPI/Persistence/Content/Language/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.